<template>
	<button v-if="display"
	        v-show="showButtonInStatus"
	        @click="emit"
	        class="button red">
		{{ $pdl.id ? 'Оплатить займ' : 'Получить деньги'}}
	</button>
</template>

<script>
	export default {
		name: 'PayOrTakeLoanButton',
		computed: {
			showButtonInStatus() {
				return (!this.$pdl.id || [6, 7].includes(this.$pdl.status)) && (this.$route.name && !this.$route.name.startsWith('pos'));
			},
			display() {

				if(this.$pay.paymentInProcess) return false;

				if (['my-loan', 'registration', 'credit-rating'].includes(this.$route.name)) {
					return false
				}
				if (this.$user.blocked) {
					return false
				}
				return true
			},
		},
		methods: {
			emit() {
				this.$router.push({name: 'my-loan'});
				if (this.$pdl.id) {
					this.$nextTick(() => {
						this.$events.$emit('payPDL');
					})
				}
			}
		}
	}
</script>
